classification
Title: new turtle module for Python 3.0
Type: enhancement Stage:
Components: Tkinter Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: loewis Nosy List: gregorlingl, loewis
Priority: normal Keywords: patch

Created on 2008-06-08 23:46 by gregorlingl, last changed 2008-06-10 04:47 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
turtle3.zip gregorlingl, 2008-06-08 23:46 port of new turtle module to Python 3.0
turtle30.rst gregorlingl, 2008-06-09 19:36 docs for turtle.py for Python 3.0
turtle.rst.diff gregorlingl, 2008-06-09 19:40 diff for turtle.rst to turtle30.rst
Messages (5)
msg67852 - (view) Author: Gregor Lingl (gregorlingl) Date: 2008-06-08 23:46
turtle3.zip contains the port of the new turtle module (including demo
viewer and demo scripts) to Python 3.0 . One demo script has been added
(tdemo_forest.py)

It has been tested under Windows/MacOsX/Linux without showing up any
problems. 

I've done a few small changes to the API - as proposed in issue 1513695
- which are described in the docfile. 

Gregor Lingl
msg67871 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-06-09 17:20
Can you please provide the documentation change as a patch relative to
the 2.6 Doc/lib/turtle.rst (or as a complete file based on turtle.rst)?
In the current form, I find it hard to accept, since I would have to
redo all the changes that I had already done for the 2.6 version.
msg67876 - (view) Author: Gregor Lingl (gregorlingl) Date: 2008-06-09 19:35
Here is the (slightly) modified docfile in rst-format for the new
turtle module for Python 3.0

I'll submit the diff (from the turtle.rst for Python 2.6) in a
follow up posting for your convenience. So you can easily check the few 
differences - as well as if I have used reST correctly.

Regards, 
Gregor
msg67877 - (view) Author: Gregor Lingl (gregorlingl) Date: 2008-06-09 19:40
And here the diff from docfile turtle.rst to what I have named
turtle30.rst for now.

Gregor
msg67895 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-06-10 04:47
Thanks for the patch. Committed as r64061.

Notice that the turtle module was meanwhile moved into the tkinter
package. If you think it should stay as a toplevel module, you should
discuss that on stdlib-sig.
History
Date User Action Args
2008-06-10 04:47:26loewissetstatus: open -> closed
resolution: accepted
2008-06-10 04:47:16loewissetmessages: + msg67895
2008-06-09 19:40:46gregorlinglsetfiles: + turtle.rst.diff
keywords: + patch
messages: + msg67877
2008-06-09 19:36:27gregorlinglsetfiles: + turtle30.rst
messages: + msg67876
2008-06-09 17:20:34loewissetmessages: + msg67871
2008-06-09 01:01:39benjamin.petersonsetassignee: loewis
2008-06-08 23:46:08gregorlinglcreate